---
updatedAt: 2026-05-22T00:42:37.000Z
agentTools:
  projectIndex: https://docs.oneschema.co/llms.txt
---

# Delete Azure Key Vault Account

Delete a specific Azure Key Vault account connection. The account cannot be deleted while it has managed secrets attached.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Azure Key Vault",
    "version": "0.0.1",
    "contact": {
      "name": "OneSchema Support",
      "email": "support@oneschema.co"
    },
    "license": {
      "name": "proprietary",
      "url": "https://www.oneschema.co/terms-and-conditions"
    },
    "termsOfService": "https://www.oneschema.co/terms-and-conditions",
    "description": "An API for managing Azure Key Vault connections and managed secrets in OneSchema."
  },
  "tags": [
    {
      "name": "Azure Key Vault Accounts",
      "description": "Manage Azure Key Vault account connections"
    }
  ],
  "paths": {
    "/v0/azure-key-vault/accounts/{account-id}": {
      "delete": {
        "operationId": "delete-azure-key-vault-account",
        "summary": "Delete Azure Key Vault Account",
        "description": "Delete a specific Azure Key Vault account connection. The account cannot be deleted while it has managed secrets attached.",
        "parameters": [
          {
            "name": "account-id",
            "in": "path",
            "required": true,
            "description": "The ID of the Azure Key Vault account",
            "schema": {
              "type": "integer"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. The primary way to verify the request's success or failure is the response status code. In a future API version this endpoint may not return any response body at all.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/empty-response"
                }
              }
            }
          },
          "400": {
            "description": "Cannot delete account with managed secrets",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/error-response"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized (missing or invalid API key)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/error-response"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/error-response"
                }
              }
            }
          },
          "404": {
            "description": "Not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/error-response"
                }
              }
            }
          }
        },
        "tags": [
          "Azure Key Vault Accounts"
        ]
      }
    }
  },
  "security": [
    {
      "ApiKeyAuth": []
    }
  ],
  "components": {
    "schemas": {
      "empty-response": {
        "type": "object",
        "additionalProperties": false
      },
      "error-response": {
        "type": "object",
        "required": [
          "message"
        ],
        "properties": {
          "code": {
            "type": "string",
            "description": "A machine-readable error code"
          },
          "param": {
            "type": "string",
            "description": "The parameter that caused the error"
          },
          "message": {
            "type": "string",
            "description": "A human-readable error message"
          },
          "data": {
            "type": "object",
            "description": "Additional error context"
          }
        }
      }
    },
    "securitySchemes": {
      "ApiKeyAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-KEY"
      }
    }
  },
  "servers": [
    {
      "url": "https://api.oneschema.co",
      "description": "Production server (hosted in the US)",
      "variables": {}
    },
    {
      "url": "https://api.eu.oneschema.co",
      "description": "Production server (hosted in the EU)",
      "variables": {}
    },
    {
      "url": "https://api.ca.oneschema.co",
      "description": "Production server (hosted in Canada)",
      "variables": {}
    },
    {
      "url": "https://api.au.oneschema.co",
      "description": "Production server (hosted in Australia)",
      "variables": {}
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```